#include "categorychooser.h"
#include "ui_categorychooser.h"

#include <QDebug>

CategoryChooser::CategoryChooser(QStringList state, QWidget *parent) :
    QDialog(parent),
    ui(new Ui::CategoryChooser)
{
    ui->setupUi(this);

    buttonsSelected = ui->buttonGroup->buttons().count();
    foreach(QAbstractButton* button, ui->buttonGroup->buttons())
    {
        if (state.count() > 0 && state[0] != "all")
            if (!state.contains("user/" + button->objectName())) // by default all are on, so we need to check only for off
                button->setChecked(false);
                buttonsSelected--;
        connect(button, SIGNAL(toggled(bool)), this, SLOT(toggleButton(bool)));
    }

    connect(ui->toggleAll, SIGNAL(clicked()), this, SLOT(toggleAll()));
    connect(ui->buttonBox, SIGNAL(accepted()), this, SLOT(accept()));
    connect(ui->buttonBox, SIGNAL(rejected()), this, SLOT(reject()));
}

CategoryChooser::~CategoryChooser()
{
    delete ui;
}

void CategoryChooser::toggleAll()
{
    qDebug() << buttonsSelected;
    foreach(QAbstractButton* button, ui->buttonGroup->buttons())
        button->setChecked(!button->isChecked());
    qDebug() << buttonsSelected;
}

QStringList CategoryChooser::getCategories()
{
    qDebug() << buttonsSelected;
    if (buttonsSelected == ui->buttonGroup->buttons().count())
        return QStringList("all");

    QStringList buttonSL;
    foreach (QAbstractButton* button, ui->buttonGroup->buttons())
        if (button->isChecked())
            buttonSL.append(QString("user/%1").arg(button->objectName()));
    qDebug() << buttonSL;
    return buttonSL;
}

void CategoryChooser::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
