#include "statuschooser.h"
#include "ui_statuschooser.h"

StatusChooser::StatusChooser(QString component, QWidget *parent) :
    QDialog(parent),
    ui(new Ui::StatusChooser),
    settings("AppWatch", component)
{
    ui->setupUi(this);

    ui->added->setChecked(settings.value("added",     QVariant(ui->added->checkState())).toBool());
    ui->updated->setChecked(settings.value("updated",     QVariant(ui->updated->checkState())).toBool());
    ui->removed->setChecked(settings.value("removed",     QVariant(ui->removed->checkState())).toBool());
}

StatusChooser::~StatusChooser()
{
    settings.setValue("added", ui->added->checkState());
    settings.setValue("updated", ui->updated->checkState());
    settings.setValue("removed", ui->removed->checkState());
    settings.sync();
    delete ui;
}

void StatusChooser::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
